site_name: IT4Innovations Documentation
theme_dir: 'material'
docs_dir: docs.it4i
site_favicon: img/favicon.ico

extra_css: 
   - src/css.css

# Repository
#repo_name: it4i-admins/docs.it4i
#repo_url: https://gitlab.it4i.cz/it4i-admins/docs.it4i

# Copyright
copyright: Copyright (c) 2017 IT4Innovations__VERSION__

pages:
  - Home: index.md
#  - History of Downtimes: downtimes_history.md
  - General:
    - Applying for Resources: general/applying-for-resources.md
    - Obtaining Login Credentials: general/obtaining-login-credentials/obtaining-login-credentials.md
    - Certificates FAQ: general/obtaining-login-credentials/certificates-faq.md
    - Accessing the Clusters:
      #- Introduction: general/accessing-the-clusters/introduction.md
      - OpenSSH Keys (UN*X): general/accessing-the-clusters/shell-access-and-data-transfer/ssh-keys.md
      - PuTTY (Windows): general/accessing-the-clusters/shell-access-and-data-transfer/putty.md
      - X Window System: general/accessing-the-clusters/graphical-user-interface/x-window-system.md
      - VNC: general/accessing-the-clusters/graphical-user-interface/vnc.md
      - VPN Access: general/accessing-the-clusters/vpn-access.md
#    - VPN-Connection-Fail-in-Win-8.1: general/accessing-the-clusters/shell-access-and-data-transfer/vpn-connection-fail-in-win-8.1.md
  - Salomon Cluster:
    - Introduction: salomon/introduction.md
    - Hardware Overview: salomon/hardware-overview.md
    - Accessing the Cluster: salomon/shell-and-data-access.md
    - Environment and Modules: salomon/environment-and-modules.md
    - Resource Allocation and Job Execution:
      - Resources Allocation Policy: salomon/resources-allocation-policy.md
      - Job Scheduling: salomon/job-priority.md
      - Job Submission and Execution: salomon/job-submission-and-execution.md
      - Capacity Computing: salomon/capacity-computing.md
    - Compute Nodes: salomon/compute-nodes.md
    - Network:
      - InfiniBand Network: salomon/network.md
      - IB Single-plane Topology: salomon/ib-single-plane-topology.md
      - 7D Enhanced Hypercube: salomon/7d-enhanced-hypercube.md
    - Storage: salomon/storage.md
    - PRACE User Support: salomon/prace.md
  - Anselm Cluster:
    - Introduction: anselm/introduction.md
    - Hardware Overview: anselm/hardware-overview.md
    - Accessing the Cluster: anselm/shell-and-data-access.md
    - Environment and Modules: anselm/environment-and-modules.md
    - Resource Allocation and Job Execution:
      - Resource Allocation Policy: anselm/resources-allocation-policy.md
      - Job Priority: anselm/job-priority.md
      - Job Submission and Execution: anselm/job-submission-and-execution.md
      - Capacity Computing: anselm/capacity-computing.md
    - Compute Nodes: anselm/compute-nodes.md
    - Storage: anselm/storage.md
    - Network: anselm/network.md
    - Remote Visualization: anselm/remote-visualization.md
    - PRACE User Support: anselm/prace.md
  - 'Software':
    - Lmod Environment: software/lmod.md
    - Modules Matrix: modules-matrix.md
    - Salomon Software:
      - Available Modules: modules-salomon.md
      - Available Modules on UV: modules-salomon-uv.md
      - 'ANSYS':
        - Introduction: salomon/software/ansys/ansys.md
        - ANSYS CFX: salomon/software/ansys/ansys-cfx.md
        - ANSYS Fluent: salomon/software/ansys/ansys-fluent.md
        - ANSYS LS-DYNA: salomon/software/ansys/ansys-ls-dyna.md
        - ANSYS MAPDL: salomon/software/ansys/ansys-mechanical-apdl.md
        - Workbench: salomon/software/ansys/workbench.md
        - Setting License Preferences: salomon/software/ansys/licensing.md
        - Licensing and Available Versions: salomon/software/ansys/setting-license-preferences.md
      - 'Bioinformatics':
        - Bioinformatics Applications: software/bioinformatics.md
      - 'Chemistry':
        - Molpro: salomon/software/chemistry/molpro.md
        - NWChem: salomon/software/chemistry/nwchem.md
        - Phono3py: salomon/software/chemistry/phono3py.md
        - ORCA: software/orca.md
      - Compilers: salomon/software/compilers.md
      - 'COMSOL':
        - COMSOL: salomon/software/comsol/comsol-multiphysics.md
        - Licensing and Available Versions: salomon/software/comsol/licensing-and-available-versions.md
      - 'Debuggers':
        - Introduction: salomon/software/debuggers/Introduction.md
        - Aislinn: salomon/software/debuggers/aislinn.md
        - Allinea Forge (DDT,MAP): salomon/software/debuggers/allinea-ddt.md
        - Allinea Performance Reports: salomon/software/debuggers/allinea-performance-reports.md
        - Intel VTune Amplifier XE: salomon/software/debuggers/intel-vtune-amplifier.md
        - Total View: salomon/software/debuggers/total-view.md
        - Valgrind: salomon/software/debuggers/valgrind.md
        - Vampir: salomon/software/debuggers/vampir.md
      - 'Intel Suite':
        - Introduction: salomon/software/intel-suite/intel-parallel-studio-introduction.md
        - Intel Advisor: salomon/software/intel-suite/intel-advisor.md
        - Intel Compilers: salomon/software/intel-suite/intel-compilers.md
        - Intel Debugger: salomon/software/intel-suite/intel-debugger.md
        - Intel IPP: salomon/software/intel-suite/intel-integrated-performance-primitives.md
        - Intel Inspector: salomon/software/intel-suite/intel-inspector.md
        - Intel MKL: salomon/software/intel-suite/intel-mkl.md
        - Intel TBB: salomon/software/intel-suite/intel-tbb.md
        - Intel Trace Analyzer and Collector: salomon/software/intel-suite/intel-trace-analyzer-and-collector.md
      - Intel Xeon Phi: salomon/software/intel-xeon-phi.md
      - Java: salomon/software/java.md
      - 'MPI':
        - Introduction: salomon/software/mpi/mpi.md
        - MPI4Py (MPI for Python): salomon/software/mpi/mpi4py-mpi-for-python.md
        - Running Open MPI: salomon/software/mpi/Running_OpenMPI.md
      - 'Numerical Languages':
        - Introduction: salomon/software/numerical-languages/introduction.md
        - Matlab: salomon/software/numerical-languages/matlab.md
        - Octave: salomon/software/numerical-languages/octave.md
        - R: salomon/software/numerical-languages/r.md
      - Operating System: salomon/software/operating-system.md
    - Anselm Software:
      - Available Modules: modules-anselm.md
      - 'ANSYS':
        - Introduction: anselm/software/ansys/ansys.md
        - ANSYS CFX: anselm/software/ansys/ansys-cfx.md
        - ANSYS Fluent: anselm/software/ansys/ansys-fluent.md
        - ANSYS LS-DYNA: anselm/software/ansys/ansys-ls-dyna.md
        - ANSYS MAPDL: anselm/software/ansys/ansys-mechanical-apdl.md
        - LS-DYNA: anselm/software/ansys/ls-dyna.md
      - 'Bioinformatics':
        - Bioinformatics Applications: software/bioinformatics.md
      - 'Debuggers':
        - Allinea Forge (DDT,MAP): anselm/software/debuggers/allinea-ddt.md
        - Allinea Performance Reports: anselm/software/debuggers/allinea-performance-reports.md
        - CUBE: anselm/software/debuggers/cube.md
        - Intel Performance Counter Monitor: anselm/software/debuggers/intel-performance-counter-monitor.md
        - Intel VTune Amplifier: anselm/software/debuggers/intel-vtune-amplifier.md
        - PAPI: anselm/software/debuggers/papi.md
        - Scalasca: anselm/software/debuggers/scalasca.md
        - Score-P: anselm/software/debuggers/score-p.md
        - Total View: anselm/software/debuggers/total-view.md
        - VNC: anselm/software/debuggers/debuggers.md
        - Valgrind: anselm/software/debuggers/valgrind.md
        - Vampir: anselm/software/debuggers/vampir.md
      - 'Chemistry':
        - Molpro: anselm/software/chemistry/molpro.md
        - NWChem: anselm/software/chemistry/nwchem.md
        - ORCA: software/orca.md
      - COMSOL: anselm/software/comsol-multiphysics.md
      - Compilers: anselm/software/compilers.md
      - GPI-2: anselm/software/gpi2.md
      - 'Intel Suite':
        - Introduction: anselm/software/intel-suite/introduction.md
        - Intel Compilers: anselm/software/intel-suite/intel-compilers.md
        - Intel Debugger: anselm/software/intel-suite/intel-debugger.md
        - Intel IPP: anselm/software/intel-suite/intel-integrated-performance-primitives.md
        - Intel MKL: anselm/software/intel-suite/intel-mkl.md
        - Intel TBB: anselm/software/intel-suite/intel-tbb.md
      - Intel Xeon Phi: anselm/software/intel-xeon-phi.md
      - ISV Licenses: anselm/software/isv_licenses.md
      - Java: anselm/software/java.md
      - 'MPI':
        - Introduction: anselm/software/mpi/mpi.md
        - MPI4Py (MPI for Python): anselm/software/mpi/mpi4py-mpi-for-python.md
        - Running Open MPI: anselm/software/mpi/Running_OpenMPI.md
        - Running MPICH2: anselm/software/mpi/running-mpich2.md
      - 'Numerical Languages':
        - Introduction: anselm/software/numerical-languages/introduction.md
        - Matlab 2013-2014: anselm/software/numerical-languages/matlab_1314.md
        - Matlab: anselm/software/numerical-languages/matlab.md
        - Octave: anselm/software/numerical-languages/octave.md
        - R: anselm/software/numerical-languages/r.md
      - 'Numerical Libraries':
        - FFTW: anselm/software/numerical-libraries/fftw.md
        - GSL: anselm/software/numerical-libraries/gsl.md
        - HDF5: anselm/software/numerical-libraries/hdf5.md
        - Intel Numerical Libraries: anselm/software/numerical-libraries/intel-numerical-libraries.md
        - MAGMA for Intel Xeon Phi: anselm/software/numerical-libraries/magma-for-intel-xeon-phi.md
        - PETSc: anselm/software/numerical-libraries/petsc.md
        - Trilinos: anselm/software/numerical-libraries/trilinos.md
      - NVIDIA CUDA: anselm/software/nvidia-cuda.md
      - 'Omics Master':
        - Diagnostic Component (TEAM): anselm/software/omics-master/diagnostic-component-team.md
        - Priorization Component (BiERApp): anselm/software/omics-master/priorization-component-bierapp.md
        - Overview: anselm/software/omics-master/overview.md
      - OpenFOAM: anselm/software/openfoam.md
      - Operating System: anselm/software/operating-system.md
      - ParaView: anselm/software/paraview.md
      - Virtualization: anselm/software/virtualization.md
#  - Modules Matrix: modules-matrix.md
  - PBS Pro Documentation: pbspro.md
#  - Testing:
#    - Colors: colors.md

extra:
  #logo: img/logo2.png
  palette:
    primary: 'grey'
    accent: 'yellow'
  font:
    text: 'Ubuntu'
    code: 'Ubuntu Mono'
  i18n:
    prev: 'Previous'
    next: 'Next'
  social:
    - type: 'gitlab'
      link: 'https://code.it4i.cz'

markdown_extensions:
  - codehilite
  - markdown.extensions.admonition:
  - pymdownx.arithmatex:
  - markdown.extensions.toc:
      slugify: !!python/name:pymdownx.slugs.uslugify
      permalink: 
  - pymdownx.snippets:
      base_path: docs.it4i/snippets

google_analytics:
  - 'UA-90498826-1'
  - 'auto'
